unit ConnectionServer;

interface

uses
  System.SysUtils, System.Classes, Sparkle.HttpServer.Module,
  Sparkle.HttpServer.Context, Sparkle.Comp.Server,
  Sparkle.Comp.HttpSysDispatcher, XData.Comp.ConnectionPool, XData.Server.Module,
  XData.Comp.Server, Sparkle.Comp.CorsMiddleware;

type
  TServerContainer = class(TDataModule)
    SparkleHttpSysDispatcher: TSparkleHttpSysDispatcher;
    XDataServer: TXDataServer;
    XDataServerCORS: TSparkleCorsMiddleware;
    procedure DataModuleCreate(Sender: TObject);
  end;

var
  ServerContainer: TServerContainer;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

uses Sparkle.WinHttp.Engine, XData.Aurelius.ModelBuilder, xml.XMLDom, Xml.omnixmldom;

{$R *.dfm}

procedure TServerContainer.DataModuleCreate(Sender: TObject);
begin
  DefaultDOMVendor := sOmniXmlVendor;
  TXDataModelBuilder.LoadXmlDoc(XDataServer.Model);
end;

end.
